List a lead's engagements
curl --request GET \
--url https://api.trytikt.com/v1/leads/{id}/signals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trytikt.com/v1/leads/{id}/signals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trytikt.com/v1/leads/{id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/leads/{id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/leads/{id}/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trytikt.com/v1/leads/{id}/signals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/leads/{id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"kind": "<string>",
"reaction_type": "<string>",
"text": "<string>",
"url": "<string>",
"likes": 123,
"replies": 123,
"is_pinned": true,
"is_edited": true,
"occurred_at": "<string>",
"captured_at": "<string>",
"post": {
"id": "<string>",
"linkedin_post_id": "<string>",
"urn": "<string>",
"url": "<string>",
"author": {
"type": "<string>",
"name": "<string>",
"public_id": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>"
},
"text": "<string>",
"hashtags": [
"<string>"
],
"media_type": "<string>",
"media": {
"images": [
"<string>"
],
"videos": [
"<string>"
]
},
"external_links": [
"<string>"
],
"is_repost": true,
"posted_at": "<string>",
"counters": {
"reactions": 123,
"comments": 123,
"checked_at": "<string>"
},
"tracking_status": "<string>",
"source": "<string>",
"kol": {
"id": "<string>",
"name": "<string>",
"relationship": "<string>",
"linkedin_url": "<string>"
},
"console_url": "<string>"
},
"kol": {
"id": "<string>",
"name": "<string>",
"relationship": "<string>",
"linkedin_url": "<string>"
}
}
],
"page": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Leads
List a lead's engagements
Every engagement of a lead — reactions and comments, with their post and tracked profile — newest first.
GET
/
v1
/
leads
/
{id}
/
signals
List a lead's engagements
curl --request GET \
--url https://api.trytikt.com/v1/leads/{id}/signals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trytikt.com/v1/leads/{id}/signals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trytikt.com/v1/leads/{id}/signals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/leads/{id}/signals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/leads/{id}/signals"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trytikt.com/v1/leads/{id}/signals")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/leads/{id}/signals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"kind": "<string>",
"reaction_type": "<string>",
"text": "<string>",
"url": "<string>",
"likes": 123,
"replies": 123,
"is_pinned": true,
"is_edited": true,
"occurred_at": "<string>",
"captured_at": "<string>",
"post": {
"id": "<string>",
"linkedin_post_id": "<string>",
"urn": "<string>",
"url": "<string>",
"author": {
"type": "<string>",
"name": "<string>",
"public_id": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>"
},
"text": "<string>",
"hashtags": [
"<string>"
],
"media_type": "<string>",
"media": {
"images": [
"<string>"
],
"videos": [
"<string>"
]
},
"external_links": [
"<string>"
],
"is_repost": true,
"posted_at": "<string>",
"counters": {
"reactions": 123,
"comments": 123,
"checked_at": "<string>"
},
"tracking_status": "<string>",
"source": "<string>",
"kol": {
"id": "<string>",
"name": "<string>",
"relationship": "<string>",
"linkedin_url": "<string>"
},
"console_url": "<string>"
},
"kol": {
"id": "<string>",
"name": "<string>",
"relationship": "<string>",
"linkedin_url": "<string>"
}
}
],
"page": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Authorizations
Your API key, created in Settings › API: Authorization: Bearer tikt_live_….
Path Parameters
The lead's id.
Query Parameters
Items per page, from 1 to 100. 50 by default.
Pattern:
^\d{1,3}$The next_cursor of the previous page. Leave it out for the first page.
Required string length:
1 - 600